import { Client, Collection } from "discord.js";
import Command from "./classes/Command";
import Group from "./classes/Group";
import Common from "./function/Common";
import { AppOptions } from "./types/BaseTypes";
export default class App {
    private options;
    private common;
    commands: Collection<String, Command>;
    groups: Collection<String, Group>;
    constructor(options: AppOptions);
    get client(): Client;
    get Common(): Common;
    get guilds(): string[];
    onCommand(): void;
}
