import { ApplicationCommandOptionData } from "discord.js";
import App from "../App";
import { CommandData } from "../types/BaseTypes";
export default abstract class Command {
    private _app;
    name: string;
    description: string;
    options: ApplicationCommandOptionData[];
    protected constructor(name: string, description: string, options: ApplicationCommandOptionData[]);
    ___d(app: App): void;
    get app(): App;
    get Common(): import("../function/Common").default;
    abstract execute(data: CommandData): Promise<any | null | void>;
}
