import { Client, CommandInteraction, Guild, GuildMember, TextChannel } from "discord.js";
interface AppOptions {
    client: Client;
    token: string;
    commandsRegistry: {
        allGuilds: boolean;
        guilds: string[];
        interactionHandler: boolean;
    };
}
interface CommandData {
    guild: Guild;
    channel: TextChannel;
    member: GuildMember;
    interaction: CommandInteraction;
}
export { AppOptions, CommandData };
